%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()" 2>/dev/null)}
%{!?pybasever: %global pybasever %(%{__python} -c "import sys ; print sys.version[:3]" 2>/dev/null || echo 0.0)}

%define svnver 16165

Name:           trac-googleanalyticsintegration
Version:        0.3
Release:        0.%{svnver}%{?dist}.1
Summary:        Trac plugin for Google Analytics Integration
Group:          Applications/Internet
License:        Copyright only
URL:            https://trac-hacks.org/wiki/GoogleAnalyticsIntegration
Source0:        googleanalyticsintegration-%{svnver}.zip
Patch1:		googleanalyticsintegration_r8182.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  trac >= 1.0
Requires:       trac >= 1.0

# Required for import of pkg_resources
Requires:       python-setuptools

%description
This is a plugin for integrating Google Analytics statistics into Trac.
Gathering analytics metrics allows you to track and report visitor traffic
to your website.

Patched with fixes by Dennis McRitchie.

%prep
%setup -n googleanalyticsintegration
%patch1 -p1

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%dir %{python_sitelib}/googleanalytics
%{python_sitelib}/googleanalytics/*.py*
%{python_sitelib}/googleanalytics/templates/
%{python_sitelib}/googleanalytics/htdocs/
%{python_sitelib}/googleanalytics-0.3-py%{pybasever}.egg-info/

%changelog
* Sat Dec 24 2016 Josko Plazonic <plazonic@princeton.edu>
- initial build
